Package com.sun.jna.platform.win32

## Class Winspool.NOTIFY_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.Winspool.NOTIFY_DATA

- Enclosing interface:
    Winspool

      public static class Winspool.NOTIFY_DATA
      extends Union

  A union of data information based on the Type and Field members of `Winspool.PRINTER_NOTIFY_INFO_DATA`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int[]` | `adwData` | Set if the notification data is numeric.
    `Winspool.NOTIFY_DATA_DATA` | `Data` | Set if the notification data is non-numeric.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NOTIFY_DATA()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Union

      `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### adwData

          public int[] adwData

      Set if the notification data is numeric. An array of two DWORD values. For information fields that use only a single DWORD, the data is in adwData [0].

    - #### Data

          public Winspool.NOTIFY_DATA_DATA Data

      Set if the notification data is non-numeric.

  - ### Constructor Detail

    - #### NOTIFY_DATA

          public NOTIFY_DATA()